# This file created by conda-build 3.21.8
# ------------------------------------------------

package:
  name: libboost
  version: 1.73.0
source:
  patches:
    - 0001-CONDA_BUILD-customization.patch
    - 0002-boost.python-fix-python-lib-config-abiflags.patch
    - 0003-boost.python-fix-unix-library-paths-and-darwin-sysroot.patch
    - 0004-patch-clang_version.patch
    - 0005-boost.python-add-Library-include-and-lib-on-Win.patch
    - 0006-boost.python-py-fopen-private.patch
  sha256: 4eb3b8d442b426dc35346235c8733b5ae35ba431690e38c6a8263dce9fcbb402
  url: https://boostorg.jfrog.io/artifactory/main/release/1.73.0/source/boost_1_73_0.tar.bz2
build:
  activate_in_script: true
  missing_dso_whitelist: null
  number: 12
  script_env:
    - CONDA_BUILD_DEBUG_BUILD_SYSTEM=no
  string: h28710b8_12
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - ccache 3.7.9 hfe4627d_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - zlib 1.2.12 h7f8727e_2
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - icu 58.2 he6710b0_3
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - lz4-c 1.9.3 h295c915_1
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - icu >=58.2,<59.0a0
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - xz >=5.2.5,<6.0a0
    - zlib >=1.2.12,<1.3.0a0
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - b2 --help
    - bjam --help
    - pushd tests
    - pushd hello_world_cxx
    - ./test.sh
    - popd
    - popd
    - '! test -f $PREFIX/include/boost/python.hpp'
    - '! test -d $PREFIX/include/boost/python'
    - test -f $PREFIX/include/boost/assert.hpp
    - test -f $PREFIX/lib/libboost_exception.a
    - test -f $PREFIX/lib/libboost_test_exec_monitor.a
    - test -f $PREFIX/lib/libboost_atomic.a
    - test -f $PREFIX/lib/libboost_atomic.so
    - test -f $PREFIX/lib/libboost_chrono.a
    - test -f $PREFIX/lib/libboost_chrono.so
    - test -f $PREFIX/lib/libboost_container.a
    - test -f $PREFIX/lib/libboost_container.so
    - test -f $PREFIX/lib/libboost_context.a
    - test -f $PREFIX/lib/libboost_context.so
    - test -f $PREFIX/lib/libboost_coroutine.a
    - test -f $PREFIX/lib/libboost_coroutine.so
    - test -f $PREFIX/lib/libboost_date_time.a
    - test -f $PREFIX/lib/libboost_date_time.so
    - test -f $PREFIX/lib/libboost_filesystem.a
    - test -f $PREFIX/lib/libboost_filesystem.so
    - test -f $PREFIX/lib/libboost_graph.a
    - test -f $PREFIX/lib/libboost_graph.so
    - test -f $PREFIX/lib/libboost_iostreams.a
    - test -f $PREFIX/lib/libboost_iostreams.so
    - test -f $PREFIX/lib/libboost_locale.a
    - test -f $PREFIX/lib/libboost_locale.so
    - test -f $PREFIX/lib/libboost_log.a
    - test -f $PREFIX/lib/libboost_log.so
    - test -f $PREFIX/lib/libboost_log_setup.a
    - test -f $PREFIX/lib/libboost_log_setup.so
    - test -f $PREFIX/lib/libboost_math_c99.a
    - test -f $PREFIX/lib/libboost_math_c99.so
    - test -f $PREFIX/lib/libboost_math_c99f.a
    - test -f $PREFIX/lib/libboost_math_c99f.so
    - test -f $PREFIX/lib/libboost_math_c99l.a
    - test -f $PREFIX/lib/libboost_math_c99l.so
    - test -f $PREFIX/lib/libboost_math_tr1.a
    - test -f $PREFIX/lib/libboost_math_tr1.so
    - test -f $PREFIX/lib/libboost_math_tr1f.a
    - test -f $PREFIX/lib/libboost_math_tr1f.so
    - test -f $PREFIX/lib/libboost_math_tr1l.a
    - test -f $PREFIX/lib/libboost_math_tr1l.so
    - test -f $PREFIX/lib/libboost_prg_exec_monitor.a
    - test -f $PREFIX/lib/libboost_prg_exec_monitor.so
    - test -f $PREFIX/lib/libboost_program_options.a
    - test -f $PREFIX/lib/libboost_program_options.so
    - test -f $PREFIX/lib/libboost_random.a
    - test -f $PREFIX/lib/libboost_random.so
    - test -f $PREFIX/lib/libboost_regex.a
    - test -f $PREFIX/lib/libboost_regex.so
    - test -f $PREFIX/lib/libboost_serialization.a
    - test -f $PREFIX/lib/libboost_serialization.so
    - test -f $PREFIX/lib/libboost_system.a
    - test -f $PREFIX/lib/libboost_system.so
    - test -f $PREFIX/lib/libboost_thread.a
    - test -f $PREFIX/lib/libboost_thread.so
    - test -f $PREFIX/lib/libboost_timer.a
    - test -f $PREFIX/lib/libboost_timer.so
    - test -f $PREFIX/lib/libboost_type_erasure.a
    - test -f $PREFIX/lib/libboost_type_erasure.so
    - test -f $PREFIX/lib/libboost_unit_test_framework.a
    - test -f $PREFIX/lib/libboost_unit_test_framework.so
    - test -f $PREFIX/lib/libboost_wave.a
    - test -f $PREFIX/lib/libboost_wave.so
    - test -f $PREFIX/lib/libboost_wserialization.a
    - test -f $PREFIX/lib/libboost_wserialization.so
  files:
    - tests
  requires:
    - gxx_linux-64 7.5.0.*
    - ripgrep
about:
  dev_url: https://www.boost.org/doc/libs/1_73_0/more/getting_started/index.html
  doc_url: https://www.boost.org/doc/libs/1_73_0/
  home: https://www.boost.org/
  license: BSL-1.0
  license_family: OTHER
  license_file: LICENSE_1_0.txt
  summary: Free peer-reviewed portable C++ source libraries.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 30f27608-bb8e-4670-95f8-e66bbb5db717
  recipe-maintainers:
    - ccordoba12
    - isuruf
    - jakirkham
    - jschueller
    - mingwandroid
    - msarahan
    - ocefpaf
    - scopatz
  remote_url: git@github.com:AnacondaRecipes/boost-feedstock.git
  sha: 147d133146ba2a2fad3fbfac3f02c02ce3b4e95d
